// pageage/project_checking/info/index.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        id:"",
        infoData:{},  
        loadShow:false,
        auditInfo:{},
        loginName:"",
        showDel:false,
        imageList:[],
        minImageList:[],
        auditImageList:[],
        auditMinImageList:[],
        request:app.globalData.reqUrl
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let {id} = options
        //获取缓存数据
        wx.getStorage({
        key: 'userinfo',
        success:res=>{
          this.setData({
            id,
            loginName:res.data.loginName
          }) 
          this.getInfo(); 
          this.getAuditinfo();
        }  
        }) 
    },


    /**
     * 获取安全检查详情信息
     * 
     */
    getInfo(){
        let {id} = this.data
        let that = this
        wx.request({
          url: app.globalData.reqUrl+'/wechat/projectProblemmodify/info',
          method:"get",
          data:{
              id:id          
          },
          success(res){
            res = res.data
            if(res.code == 200){
              let urls = [];
              let minUrls = [];
              if(res.data.smarkUrl){
                res.data.smarkUrl.split(',').forEach(element => {
                  urls.push(that.data.request+element);
                  minUrls.push(that.data.request+element+'.min.jpg');
                });
              }
              that.setData({
                  infoData:res.data,
                  imageList:urls,
                  minImageList:minUrls,
                  loadShow:false
              })
                //判断当前能否删除
                if(res.data.checkState!=4 && res.data.createUser==that.data.loginName){
                  that.setData({
                    showDel:true
                })
                }
            }
          }
        })
    },

    getAuditinfo(){
      let {id} = this.data
      let that = this
      wx.request({
        url: app.globalData.reqUrl+'/wechat/projectProblemmodify/queryAuditInfo',
        method:"get",
        data:{
            id:id          
        },
        success(res){
          res = res.data
          if(res.code == 200 && res.data){
            let urls = [];
            let minUrls = [];
            if(res.data.fileUrls){
              res.data.fileUrls.split(',').forEach(element => {
                urls.push(that.data.request+element);
                minUrls.push(that.data.request+element+'.min.jpg');
              });
            }
            that.setData({
                auditInfo:res.data,
                auditImageList:urls,
                auditMinImageList:minUrls
            })
          }
        }
      })
    },

    onDelete(){
      //弹出确认
      let that = this
      wx.showModal({
        title: '提示',
        content: '是否确定删除此条数据？',
        success: function (sm) {
          if (sm.confirm) {
              // 用户点击了确定 可以调用了
              that.deleteData();
            } else if (sm.cancel) {
              console.log('用户点击取消');
            }
          }
       }) 
    },  
    deleteData(){
        let {id} = this.data
        wx.request({
          url: app.globalData.reqUrl+'/wechat/projectProblemmodify/removeQuality',
          header: {
            "Username": this.data.loginName,
          },
          data:{
            id:id          
          },
          method:"get",
          success(res){
            app.toast("删除成功！")
            wx.redirectTo({
              url: `../list/index`,
            })
          }
        })
    },

     //展示图片
     showImg:function(e){
      var that=this;
      wx.previewImage({
          urls: that.data.imageList,
          current: that.data.imageList[e.currentTarget.dataset.index]
      })
  },

      //展示图片
      showAuditinfoImg:function(e){
        var that=this;
        wx.previewImage({
            urls: that.data.auditImageList,
            current: that.data.auditImageList[e.currentTarget.dataset.index]
        })
      },

      returnToPage: function () {
        /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
        wx.redirectTo({
            url: '../list/index',
        })
      },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})